<?php
require('fpdf/fpdf.php');
include("../bd/sql_variables.php");

$db_conexion= mysql_connect("$sql_host", "$sql_usuario", "$sql_pass") or die(header ("No Disponible Servidor de Base de Datos"));
mysql_select_db("$sql_db");


$mes=$_GET['mes'];
$anno=$_GET['anno'];
$idtp=$_GET['idtp'];
$idj=$_GET['idj'];
$ids=$_GET['ids'];
$tprad=$_GET['tprad'];

if(isset($_GET['tipo'])){
$tipo = $_GET['tipo'];
}else{
$tipo = 0;
}

$arraymes = array();
$arraymes[] = array('idmes'=>'1','mes'=>'ENERO');
$arraymes[] = array('idmes'=>'2','mes'=>'FEBRERO');
$arraymes[] = array('idmes'=>'3','mes'=>'MARZO');
$arraymes[] = array('idmes'=>'4','mes'=>'ABRIL');
$arraymes[] = array('idmes'=>'5','mes'=>'MAYO');
$arraymes[] = array('idmes'=>'6','mes'=>'JUNIO');
$arraymes[] = array('idmes'=>'7','mes'=>'JULIO');
$arraymes[] = array('idmes'=>'8','mes'=>'AGOSTO');
$arraymes[] = array('idmes'=>'9','mes'=>'SETIEMBRE');
$arraymes[] = array('idmes'=>'10','mes'=>'OCTUBRE');
$arraymes[] = array('idmes'=>'11','mes'=>'NOVIEMBRE');
$arraymes[] = array('idmes'=>'12','mes'=>'DICIEMBRE');

//nombre de la jefatura
$sqljefatura = "select j_desc as nom from tb_jefatura where j_id='$idj'";
$resultjefatura = mysql_query($sqljefatura);
while ($rowj= mysql_fetch_array($resultjefatura)){
$nomjefatura = $rowj['nom']; 
}

//nombre de servicio
$sqlserv = "select s_desc as nom from tb_servicio where j_id='$idj' and s_id='$ids'";
$resultserv = mysql_query($sqlserv);
while ($rows= mysql_fetch_array($resultserv)){
$nomservicio = $rows['nom']; 
}

//descripcion del tipo de vacaciones

if($tprad==0){
$desctipocont = "PROGRAMADAS";
}elseif($tprad==1){
$desctipocont = "EJECUTADAS";
}elseif($tprad==2){
$desctipocont = "SUSPENDIDAS";
}


class PDF extends FPDF
{

function ImprimirTablaSinColorTitulo($data,$x, $y, $h, $w,$alig,$dibuja)
	{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
	        $this->Cell($w,$h,$data,$dibuja,0,$alig,$dib);
	}

function ImprimirTablaHorario($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->Cell($w[$j],$h,$data[$j],1,0,$alig,$dib);
		//$dib = !$dib;
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
}

function ImprimirTablaPersonal($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->Cell($w[$j],$h,$data[$j],1,0,$alig[$j],$dib);
		//$dib = !$dib;
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
		
}

function ImprimirTablaFechas($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->MultiCell($w[$j],$h,$data[$j],1,$alig[$j],$dib);
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
		
}

}

if($tipo==1){
$sqlask=" SELECT  b.ua_numplanilla as numplan, concat(b.ua_apepat,' ',b.ua_apemat,' ',b.ua_nom) as nombre, ";
$sqlask=$sqlask." (select s_abrev from tb_servicio where s_id=c.s_id and j_id=c.j_id) as servicio, (select tp_desc from tb_tipoperson where tp_id=c.tp_id) as tipo_personal, ";
$sqlask=$sqlask." concat(date_format(a.dr_fechaini,'%d/%m/%Y'),' - ', date_format(a.dr_fechafin,'%d/%m/%Y'),' (', a.dr_numdias,')') as fecha ";
$sqlask=$sqlask." FROM tb_descrad a inner join tb_usuasist b on a.ug_id= b.ug_id inner join tb_usudep c on b.ug_id=c.ug_id where a.dr_estado='$tprad' and ((month(a.dr_fechaini)='$mes' and year(a.dr_fechaini)='$anno')";
$sqlask=$sqlask." or (month(a.dr_fechafin)='$mes' and year(dr.v_fechafin)='$anno')) and c.j_id='$idj' order by tipo_personal, nombre";
}else{
if($idtp==0){
$sqlask="SELECT  b.ua_numplanilla as numplan, concat(b.ua_apepat,' ',b.ua_apemat,' ',b.ua_nom) as nombre, ";
$sqlask=$sqlask." (select s_abrev from tb_servicio where s_id=c.s_id and j_id=c.j_id) as servicio, (select tp_desc from tb_tipoperson where tp_id=c.tp_id) as tipo_personal, ";
$sqlask=$sqlask." concat(date_format(a.dr_fechaini,'%d/%m/%Y'),' - ', date_format(a.dr_fechafin,'%d/%m/%Y'),' (', a.dr_numdias,')') as fecha ";
$sqlask=$sqlask." FROM tb_descrad a inner join tb_usuasist b on a.ug_id= b.ug_id inner join tb_usudep c on b.ug_id=c.ug_id where a.dr_estado='$tprad' and ((month(a.dr_fechaini)='$mes' and year(a.dr_fechaini)='$anno')";
$sqlask=$sqlask." or (month(a.dr_fechafin)='$mes' and year(a.dr_fechafin)='$anno')) and c.j_id='$idj' and c.s_id='$ids' order by tipo_personal, nombre";

}else{
$sqlask=" SELECT  b.ua_numplanilla as numplan, concat(b.ua_apepat,' ',b.ua_apemat,' ',b.ua_nom) as nombre, ";
$sqlask=$sqlask." (select s_abrev from tb_servicio where s_id=c.s_id and j_id=c.j_id) as servicio, (select tp_desc from tb_tipoperson where tp_id=c.tp_id) as tipo_personal, ";
$sqlask=$sqlask." concat(date_format(a.dr_fechaini,'%d/%m/%Y'),' - ', date_format(a.dr_fechafin,'%d/%m/%Y'),' (', a.dr_numdias,')') as fecha ";
$sqlask=$sqlask." FROM tb_descrad a inner join tb_usuasist b on a.ug_id= b.ug_id inner join tb_usudep c on b.ug_id=c.ug_id where a.dr_estado='$tprad' and ((month(a.dr_fechaini)='$mes' and year(a.dr_fechaini)='$anno')";
$sqlask=$sqlask." or (month(a.dr_fechafin)='$mes' and year(a.dr_fechafin)='$anno')) and c.j_id='$idj' and c.s_id='$ids' and c.tp_id='$idtp' order by tipo_personal, nombre";
}
}


//aumentar  a.tc_idcont='3'
$resultlistado = mysql_query($sqlask);
$sumap=0;


$ini = 20;
$sumat = 260;
$alturaX = 25;
$ha = 5.9;
$texto1 = $desctipocont;

$texto2 = "DESCANSO POR RADIACON ".$texto1." EN EL MES DE ".$arraymes[$mes-1]['mes']." ".$anno;

$pdf=new PDF(); // Crea un objeto de la clase fpdf()
$pdf->AddPage('L'); // Agrega una hoja al documento.
$pdf->SetFont('Helvetica','B',10); //Establece la fuente a utilizar, el formato Negrita y el tamaño

//La siguiente instrucción escribe el siguiente mensaje.
$pdf->Image('../img/logoincor.jpg', 15, 10, 45, 16,'jpg');
$pdf->Image('../img/logoessalud.jpg', 240, 12, 40, 11,'jpg');

$pdf->ImprimirTablaSinColorTitulo($nomjefatura,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($nomservicio,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($descpersonal,35,$ini,$ha,$sumat*0.85,'C',0);
//$ini = $ini + $ha*0.8;
//$pdf->ImprimirTablaSinColorTitulo($texto1,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($texto2,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*1.3;

$pdf->SetFont('Arial','B',6.5);
						$subtitulo = array('COD. PLANILLA','APELLIDOS Y NOMBRES','SERVICIO','TIPO PERSONAL','PERIODO DESCANSO MEDICO','OBSERVACIONES');
						$wh= array($sumat*0.08,$sumat*0.23,$sumat*0.1, $sumat*0.12,$sumat*0.14,$sumat*0.24);
						$pdf->ImprimirTablaHorario($subtitulo,30,$ini,$ha*1.5,$wh,'C');
						$ini = $ini + $ha*1.5;
	
$nn=0;	
//echo $sqllistado;
while ($rowl= mysql_fetch_array($resultlistado)){
$codigo=$rowl['cod'];
$vacaprog=0;
$nn = $nn  + 1;
if($nn>22){
$ini = 20;
$alturaX = 25;
$ha = 5.9;
//$pdf=new PDF(); // Crea un objeto de la clase fpdf()
$pdf->AddPage('L'); // Agrega una hoja al documento.
$pdf->SetFont('Helvetica','B',10); //Establece la fuente a utilizar, el formato Negrita y el tamaño

//La siguiente instrucción escribe el siguiente mensaje.
$pdf->Image('../img/logoincor.jpg', 15, 10, 45, 16,'jpg');
$pdf->Image('../img/logoessalud.jpg', 240, 12, 40, 11,'jpg');

$pdf->ImprimirTablaSinColorTitulo($nomjefatura,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($nomservicio,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($descpersonal,35,$ini,$ha,$sumat*0.85,'C',0);
//$ini = $ini + $ha*0.8;
//$pdf->ImprimirTablaSinColorTitulo($texto1,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*0.8;
$pdf->ImprimirTablaSinColorTitulo($texto2,35,$ini,$ha,$sumat*0.85,'C',0);
$ini = $ini + $ha*1.3;

$pdf->SetFont('Arial','B',6.5);
						$subtitulo = array('COD. PLANILLA','APELLIDOS Y NOMBRES','SERVICIO', 'TIPO PERSONAL','PERIODO DESCANSO MEDICO','OBSERVACIONES');
						$wh= array($sumat*0.08,$sumat*0.23,$sumat*0.1,$sumat*0.12,$sumat*0.14,$sumat*0.24);
						$pdf->ImprimirTablaHorario($subtitulo,30,$ini,$ha*1.5,$wh,'C');
						$ini = $ini + $ha*1.5;
						$nn=1;
}
$whlist= array($sumat*0.08,$sumat*0.23,$sumat*0.1,$sumat*0.12,$sumat*0.14,$sumat*0.24);
$arraylist = array($rowl['numplan'],$rowl['nombre'], $rowl['servicio'], $rowl['tipo_personal'], $rowl['fecha'], $rowl['observ']);
$alinea = array('C','L','C','C','C','C');

$pdf->ImprimirTablaPersonal($arraylist,30, $ini, $ha, $whlist,$alinea);
//$ini = $ini + $ha;


//observaciones
/*
$movx = $movx + $sumat*0.16;
$whax= array($sumat*0.18);
$arrayobs = array("");
$alineax = array('C');
$pdf->ImprimirTablaPersonal($arrayobs,$movx, $ini, $ha, $whax,$alineax);
*/
$ini = $ini + $ha;

}
$pdf->Output();
?>
